/*
 * AutoDAO - Generic DAO on steroids implementation for Java.
 *
 * Copyright 2008-2010  Marat Radchenko <slonopotamus@users.sourceforge.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.autodao;

import java.io.Serializable;

/**
 * Persistent entity interface.
 * <p/>
 * You only need to implement this interface in your entities if you want to use AutoDAO CRUD methods.
 * @param <K> primary key class.
 * @see Dao
 * @since AutoDAO 0.1
 */
public interface PersistentEntity<K extends Serializable> {

  /**
   * Get primary key for this entity.
   * @return PK.
   */
  K getPrimaryKey();
}
